Package org.bukkit.event.player

# Class PlayerChangedWorldEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChangedWorldEvent

public class PlayerChangedWorldEvent extends PlayerEvent
Called when a player switches to another world.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChangedWorldEvent(@NotNull Player player, @NotNull World from)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull World`
`getFrom()`
Gets the world the player is switching from.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChangedWorldEvent

public PlayerChangedWorldEvent(@NotNull @NotNull Player player, @NotNull @NotNull World from)

## Method Details

### getFrom

@NotNull public @NotNull World getFrom()
Gets the world the player is switching from.

Returns:
  player's previous world

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()